LibreOffice LibreOffice 5.3 SDK API Reference

Variables
com::sun::star::awt::ImageStatus Constant Group Referencepublished

These values are used to specify to which degree an image is available. More...

## Variables
const long | IMAGESTATUS_ERROR = 1
| This conveys that an error was encountered while producing the image. More...
const long | IMAGESTATUS_SINGLEFRAMEDONE = 2
| This conveys that one frame of the image is complete but there are more frames to be delivered. More...
const long | IMAGESTATUS_STATICIMAGEDONE = 3
| This conveys that the image is complete and there are no more pixels or frames to be delivered. More...
const long | IMAGESTATUS_ABORTED = 4
| This conveys that the image creation process was deliberately aborted. More...

## Detailed Description

These values are used to specify to which degree an image is available.

## Variable Documentation

## ◆ IMAGESTATUS_ABORTED

const long IMAGESTATUS_ABORTED = 4

This conveys that the image creation process was deliberately aborted.

## ◆ IMAGESTATUS_ERROR

const long IMAGESTATUS_ERROR = 1

This conveys that an error was encountered while producing the image.

## ◆ IMAGESTATUS_SINGLEFRAMEDONE

const long IMAGESTATUS_SINGLEFRAMEDONE = 2

This conveys that one frame of the image is complete but there are more frames to be delivered.

## ◆ IMAGESTATUS_STATICIMAGEDONE

const long IMAGESTATUS_STATICIMAGEDONE = 3

This conveys that the image is complete and there are no more pixels or frames to be delivered.